Os x 9.0 Maverick

Bei Problemen mit der Bedienung von TV-Browser, bitte hier posten.
Antworten
thb

Os x 9.0 Maverick

Beitrag von thb »

Nach einem Update von Os X 10.8.5 (Mountain Lion) auf Os X 9.0 (Maverick) verlangt TV-Browser beim Start "Java SE 6 Runtime". Nun habe ich wie schon unter Os X 10.8.5 "Java SE 7". Unter Os X 10.8.5 lief TV-Browser völlig problemlos. Was ist nun los? Warum soll ich Java downgraden?
ds10
Site Admin
Beiträge: 17742
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Os x 9.0 Maverick

Beitrag von ds10 »

Für OS X können wir keinen Support leisten, weil ich keinen Mac habe. So lange niemand mit einem Mac Anpassungen vornimmt, damit solche Probleme nicht mehr auftreten, müssen alle Mac-Nutzer damit leben, wie es jetzt ist.

Der Quellcode ist frei verfügbar, es wäre also möglich einen Patch zu schreiben, der das Problem löst und uns den zu schicken.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser
thb

Re: Os x 9.0 Maverick

Beitrag von thb »

danke für die schnelle Reaktion ... dann muss ich wohl auf einen kundigen Helfer mit Mac warten ...
Benutzeravatar
Meru
Junior Member
Beiträge: 19
Registriert: 21 Nov 2009, 20:26

Re: Os x 9.0 Maverick

Beitrag von Meru »

Hallo,

Java wird seid OSX 10.6 nicht mehr mit ausgeliefert.
Wenn man ein Programm startet wird man gefragt ob man java dowloaden und installieren will.
Tut man dies kann man ab dann Java Programme verwenden.

Da du ein neues Betriebssystem installiert hast, ist das Java des vorherigen natürlich weg und muss neu installiert werden.

mfg Meru
Thilo
Newbie
Beiträge: 6
Registriert: 09 Dez 2013, 18:49

Re: Os x 9.0 Maverick

Beitrag von Thilo »

Meru hat geschrieben: Java wird seid OSX 10.6 nicht mehr mit ausgeliefert.
Wenn man ein Programm startet wird man gefragt ob man java dowloaden und installieren will.
Tut man dies kann man ab dann Java Programme verwenden.

Da du ein neues Betriebssystem installiert hast, ist das Java des vorherigen natürlich weg und muss neu installiert werden.
Im Prinzip hast Du Recht Meru. Ich habe gerade das selbe Installationsprozedere hinter mir wie thb. Beim Uprade auf OSX 10.9 wird Java 6 ohne Hinweise von der Platte gefegt.
Es genügt jedoch leider nicht, nur Java 7 zu installieren. TV-Browser scheint hier explizit nach Java 6 zu verlangen.

Abhilfe schaffte hier leider nur eine Parallel-Installation von Java 6 & 7 Hier der Link: support.apple.com/kb/DL1572?viewlocale=de_DE. Und schon lief er wieder, mein lieblings EPG!

Hoffe, die Info hilft weiter!
Grüße
Thilo

P.S.: An alle die Bedenken bzgl. der Parallel-Installation haben: Es läuft ohne Probleme! Artikel hierzu gibts genügend.
woodkid
Newbie
Beiträge: 1
Registriert: 14 Dez 2013, 12:39

Re: Os x 9.0 Maverick

Beitrag von woodkid »

hallo ....
nutze ebenfalls OS X Mavericks ....
habe vor wenigen tagen "Java SE 6 - 1.6.0_65(OS X 2013-005)" deinstalliert und "jre-7u45-macosx-x64" installiert,
damit jameica/hibiscus (finanzprogramm) wieder nutzbar ist (funktioniert nicht mit Java SE 6) ....
seitdem startet tv-browser nicht mehr .....
thilo schrieb: An alle die Bedenken bzgl. der Parallel-Installation haben: Es läuft ohne Probleme!
---> auch andere programme, die zwingend java 7 erfordern?
(die faszination von apple schwindet leider immer mehr)
fg woodkid
Thilo
Newbie
Beiträge: 6
Registriert: 09 Dez 2013, 18:49

Re: Os x 9.0 Maverick

Beitrag von Thilo »

Hi woodkid,

sogar wenn du Java6 installierst, ist der Default für per Mausklick ausführbare Programme immer nach Java7. Das kannst Du auch i.d. Systemsteuerung prüfen. Für Programme, die aber explizit nach Java6 verlangen, ist diese auch verfügbar. Dies gilt nicht für mit WebStart ausführbare Programme. Sie sind nur mit Java7 startbar (bei einer Parallel-Installation). Selbiges gilt für Browser-Plugins.
woodkid hat geschrieben: (die faszination von apple schwindet leider immer mehr)
fg woodkid
Seit Snow Leopard (das beste Release) bin ich mehr und mehr enttäuscht.

Grüße
Thilo

P.S.: An die Entwickler: Denke das Problem liegt in den TV-Browser-seitigen Einstellungen für OSX begraben (info.plist etc.). Schließlich ist JRE7 ja abwärts-kompatibel zu 6. Wenn ich Zeit habe schau ich mir das an ...
tatze
Full Member
Beiträge: 84
Registriert: 06 Dez 2004, 14:28
Wohnort: zu Hause

Re: Os x 9.0 Maverick

Beitrag von tatze »

Sowas ist doch Scheiße.
Welche* User* soll sich mit sowas beschäftigen?
Man will ein Programm benutzen und nicht First-Level-Supporter werden.
ds10
Site Admin
Beiträge: 17742
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Os x 9.0 Maverick

Beitrag von ds10 »

Tja, daraus kann man nur die Konsequenz ziehen, das Programm nicht zu benutzen oder ein Betriebssystem zu verwenden, das besser unterstützt wird, wie Linux oder Windows. Ich werde mir jedenfalls keinen Mac kaufen, nur um das besser unterstützen zu können.

Mit OS X wird es in Zukunft wahrscheinlich immer schlechter werden, bis irgendwann Programme nur noch über einen App-Store installiert werden können, das wäre dann der Punkt an dem die OS X Unterstützung von TV-Browser eingestellt würde.

[ Post made via Android ] Bild
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser
tatze
Full Member
Beiträge: 84
Registriert: 06 Dez 2004, 14:28
Wohnort: zu Hause

Re: OSX 10.9 Maverick

Beitrag von tatze »

Ja, vielleicht ist es besser, eine Version gar nicht erst anzubieten, wenn man nicht für die Lauffähigkeit sorgen kann.

Allerdings kann ich folgendes berichten:
Auch bei mir wurde beim Erst-Start unter 10.9/Mavericks nach Java gefragt.
An eine Angabe einer bestimmten Version kann ich mich allerdings nicht erinnern.
Nach dem Klick auf »Download« wurden ca. 60 MB automatisch geladen.
Hier das Ergebnis:
Version: 3.3.3 transportable
Plattform: Mac OS X 10.9
System: x86_64
Java-Version: 1.7.0_45

Ich glaube, das ist Java 7.
Thilo
Newbie
Beiträge: 6
Registriert: 09 Dez 2013, 18:49

Re: Os x 9.0 Maverick

Beitrag von Thilo »

Das Problem aus technischer Sicht:
Dadurch das Apple (endlich!) die Java-Verantwortung mit Java7 an Oracle zurückgegeben hat und nicht mehr Ihr eigenes Süppchen braut, haben sich grundlegende Pfade und Eigenschaften bzgl. Java verändert. Mit einem Upgrade auf Maverick wird ohne Meldung Java6 vom System gelöscht. Java7 muss dann, wie bei anderen Betriebssystemen übrigens auch, händisch nachinstalliert werden.

Die oben erwähnten Pfad-Änderungen werden von derzeit für das Erstellen der OSX-Binaries benutzen Build-Tool "Jarbundler" nicht berücksichtigt. Tv-Browser sucht dadurch auf einem Mavericks mit Java7 in der falschen Pfadstruktur, findet nichts, und wirft als Fehlermeldung dass die in den Mindestanforderungen angegebene JRE nicht vorhanden ist.

Hier müsste auf ein Java7-konformes Build-Tool gewechselt werden. Hier ist nur eines bekannt: java.net/projects/appbundler/
Künftig Java7 als Installation vorauszusetzen finde ich eh legitim, da der Support von Java längst abgelaufen ist.

@ds
Es wäre für mich auch der Moment ab dem ich Linux auf mein MacBook installieren würde, wenn ich nur noch alles über den App-Store installierbar wäre.
Ich hab zwar nicht viel Zeit, bin aber gerne gewillt mir das mit dem AppBundler anzuschauen.
Möchte ungern auf den genialen EPG verzichten ...

Hoffe, ich kann helfen.
Gruß
Thilo
ds10
Site Admin
Beiträge: 17742
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Os x 9.0 Maverick

Beitrag von ds10 »

Einen Patch der das Build-System umstellt würde ich natürlich gerne einbauen.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser
Thilo
Newbie
Beiträge: 6
Registriert: 09 Dez 2013, 18:49

Re: Os x 9.0 Maverick

Beitrag von Thilo »

ds10 hat geschrieben:Einen Patch der das Build-System umstellt würde ich natürlich gerne einbauen.
Ich schaus mir an, wenn ich Zeit habe. Evtl. klappt es um den Jahreswechsel herum ...
Hab gerade viel um die Ohren.

Gäbe es die Möglichkeit bei etwaigen Fragen zum Build-System Dich direkt zu kontaktieren?
Oder gibt es einen Wiki-Artikel zu diesem Thema?
ds10
Site Admin
Beiträge: 17742
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Os x 9.0 Maverick

Beitrag von ds10 »

Du kannst das Kontakt-Formular auf der Homepage verwenden, viel gibt es dazu aber nicht zu sagen, es muss sich in Apache Ant integrieren lassen. Besonders gut wäre es, wenn man das Mac-Paket dann auch unter anderen Betriebssystemen erstellen könnte.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser
AlexG
Full Member
Beiträge: 97
Registriert: 31 Dez 2007, 15:21

Re: Os x 9.0 Maverick

Beitrag von AlexG »

Eine Möglichkeit wäre den JavaFX Packager zu verwenden. TVBrowser ist zwar keine JavaFX App, funktioniert aber genauso für Swing Anwendungen.

Vorteil: User muss kein Java installieren, da im Bundle enthalten
Nachteil: Es müssen ca. 70 Megabyte (unter Windows 40) heruntergeladen werden.
Antworten